> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Block a customer



## OpenAPI

````yaml openapi.yaml post /customers/{id}/block
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /customers/{id}/block:
    post:
      summary: Block a customer
      operationId: blockCustomer
      parameters:
        - name: id
          in: path
          description: Unique identifier of the customer
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Customer blocked
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 202
                  status:
                    type: string
                    example: Accepted
                  message:
                    type: string
                    example: Customer blocked successfully
                  customer: da44f982-89fd-4cc8-bbe9-c5570c29b5ea
                required:
                  - code
                  - status
                  - message
                  - customer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````